Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1060254 - Review Request: nodejs-deep-eql - Improved deep equality testing for Node.js and the browser
Summary: Review Request: nodejs-deep-eql - Improved deep equality testing for Node.js ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jamie Nguyen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1060245 1060250
Blocks: nodejs-reviews 1060030
TreeView+ depends on / blocked
 
Reported: 2014-01-31 15:25 UTC by Tom Hughes
Modified: 2015-01-24 18:43 UTC (History)
3 users (show)

Fixed In Version: nodejs-deep-eql-0.1.3-2.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-03-07 06:41:48 UTC
jamielinux: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Tom Hughes 2014-01-31 15:25:09 UTC
Spec URL: http://download.compton.nu/nodejs/nodejs-deep-eql.spec
SRPM URL: http://download.compton.nu/nodejs/nodejs-deep-eql-0.1.3-1.fc20.src.rpm
Fedora Account System Username: tomhughes

Description:
Improved deep equality testing for Node.js and the browser.

Comment 1 Jamie Nguyen 2014-02-24 09:41:02 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[-]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. No licenses
     found. Please check the source files for licenses manually.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).


Rpmlint
-------
Checking: nodejs-deep-eql-0.1.3-1.fc21.noarch.rpm
          nodejs-deep-eql-0.1.3-1.fc21.src.rpm
nodejs-deep-eql.noarch: W: spelling-error Summary(en_US) js -> dis, ks, j
nodejs-deep-eql.noarch: W: spelling-error %description -l en_US js -> dis, ks, j
nodejs-deep-eql.noarch: W: only-non-binary-in-usr-lib
nodejs-deep-eql.noarch: W: dangling-symlink /usr/lib/node_modules/deep-eql/node_modules/type-detect /usr/lib/node_modules/type-detect
nodejs-deep-eql.src: W: spelling-error Summary(en_US) js -> dis, ks, j
nodejs-deep-eql.src: W: spelling-error %description -l en_US js -> dis, ks, j
nodejs-deep-eql.src: W: strange-permission deep-eql-dl-tests.sh 0775L
nodejs-deep-eql.src: W: invalid-url Source1: deep-eql-tests-0.1.3.tar.bz2
2 packages and 0 specfiles checked; 0 errors, 8 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint nodejs-deep-eql
nodejs-deep-eql.noarch: W: spelling-error Summary(en_US) js -> dis, ks, j
nodejs-deep-eql.noarch: W: spelling-error %description -l en_US js -> dis, ks, j
nodejs-deep-eql.noarch: W: only-non-binary-in-usr-lib
nodejs-deep-eql.noarch: W: dangling-symlink /usr/lib/node_modules/deep-eql/node_modules/type-detect /usr/lib/node_modules/type-detect
1 packages and 0 specfiles checked; 0 errors, 4 warnings.
# echo 'rpmlint-done:'



Requires
--------
nodejs-deep-eql (rpmlib, GLIBC filtered):
    nodejs(engine)
    npm(type-detect)



Provides
--------
nodejs-deep-eql:
    nodejs-deep-eql
    npm(deep-eql)



Source checksums
----------------
http://registry.npmjs.org/deep-eql/-/deep-eql-0.1.3.tgz :
  CHECKSUM(SHA256) this package     : b610fbaac6f476465858aff6d1802b8c36927652cc10d805adb00c548a89ab26
  CHECKSUM(SHA256) upstream package : b610fbaac6f476465858aff6d1802b8c36927652cc10d805adb00c548a89ab26


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/bin/fedora-review -m fedora-rawhide-x86_64 -r -n nodejs-deep-eql-0.1.3-1.fc20.src.rpm
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 2 Jamie Nguyen 2014-02-24 09:41:24 UTC
Looks good. Package approved!

Comment 3 Tom Hughes 2014-02-24 10:01:01 UTC
New Package SCM Request
=======================
Package Name: nodejs-deep-eql
Short Description: Improved deep equality testing for Node.js and the browser
Owners: tomh jamielinux
Branches: f19 f20
InitialCC:

Comment 4 Gwyn Ciesla 2014-02-24 13:34:25 UTC
Git done (by process-git-requests).

Comment 5 Fedora Update System 2014-02-24 20:22:12 UTC
nodejs-deep-eql-0.1.3-1.fc20,nodejs-type-detect-0.1.2-1.fc20,nodejs-simple-assert-1.0.0-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/nodejs-deep-eql-0.1.3-1.fc20,nodejs-type-detect-0.1.2-1.fc20,nodejs-simple-assert-1.0.0-1.fc20

Comment 6 Fedora Update System 2014-02-26 13:44:20 UTC
nodejs-deep-eql-0.1.3-1.fc20, nodejs-type-detect-0.1.2-1.fc20, nodejs-simple-assert-1.0.0-1.fc20 has been pushed to the Fedora 20 testing repository.

Comment 7 Fedora Update System 2014-03-07 06:41:48 UTC
nodejs-deep-eql-0.1.3-1.fc20, nodejs-type-detect-0.1.2-1.fc20, nodejs-simple-assert-1.0.0-1.fc20 has been pushed to the Fedora 20 stable repository.

Comment 8 Piotr Popieluch 2014-12-22 22:01:18 UTC
Package Change Request
======================
Package Name: nodejs-deep-eql
New Branches: el6 epel7
Owners: piotrp tomh jamielinux

Comment 9 Gwyn Ciesla 2014-12-23 13:24:15 UTC
Git done (by process-git-requests).

Comment 10 Fedora Update System 2014-12-27 16:00:02 UTC
nodejs-deep-eql-0.1.3-2.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/nodejs-deep-eql-0.1.3-2.el7

Comment 11 Fedora Update System 2015-01-24 18:43:36 UTC
nodejs-deep-eql-0.1.3-2.el7 has been pushed to the Fedora EPEL 7 stable repository.


Note You need to log in before you can comment on or make changes to this bug.